# BasicDataStructures::CircularLinkedList< CircularLinkedListType >::node Struct Reference

`#include <LinkedList.h>`

List of all members.

## Public Attributes

CircularLinkedListType | item
node * | previous
node * | next

### template<class CircularLinkedListType>
struct BasicDataStructures::CircularLinkedList< CircularLinkedListType >::node

## Member Data Documentation

template<class CircularLinkedListType>
CircularLinkedListType BasicDataStructures::CircularLinkedList< CircularLinkedListType >::node::item

template<class CircularLinkedListType>
node* BasicDataStructures::CircularLinkedList< CircularLinkedListType >::node::next

template<class CircularLinkedListType>
node* BasicDataStructures::CircularLinkedList< CircularLinkedListType >::node::previous

The documentation for this struct was generated from the following file:

- Projects/raknet/include/raknet/LinkedList.h